# NixConfig

Note:<br>
in der Config das W-Lan Passwort vor dem Benutzen der Config hinzufügen!

## Users:<br>
- lokoala (Admin)<br>
- Guest (kein Passwort (kann beim sperren des Bildschirms für Probleme mit KDE sorgen))<br>
- Projectuser1 (Passwort: sedan1)<br>
- Projectuser2 (Passwort: sedan2)<br>
- Projectuser3 (Passwort: sedan3)<br>

## Installierte packages <br>
#### Internet:
- firefox

#### Editors/Info-Stuff:
- vscodium
- bluej
- greenfoot
- kate
- jflap
- texmaker
- htop
- arduino
- mc 
- tetex
- latexrun

#### Audio/Video/Image:
- vlc
- gimp
- inkscape
- audacity
- handbrake

#### Terminal:
- vim
- git
- neofetch
- wget
- micro

#### Office:
- libreoffice-still

#### 3D-Modeling&Printing:
- cura
- blender
- openscad

## Active Directory / Samba:

https://nixos.wiki/wiki/Samba <br>
https://github.com/NixOS/nix/issues/3257

## Informationen über NixConfigs und die Nix Language:

https://jdisaacs.com/blog/nixos-config/ <br>
https://nixos.org/manual/nixos/stable/index.html#sec-writing-modules <br>
https://github.com/NixOS/nixpkgs/blob/nixos-22.11/nixos/modules/config/users-groups.nix <br>

## Für Informationen über temporary filesystems:

https://search.nixos.org/options?channel=22.11&show=boot.tmpOnTmpfsSize&from=0&size=50&sort=relevance&type=packages&query=tmpfs <br>
https://github.com/NixOS/nixpkgs/blob/nixos-22.11/nixos/modules/system/boot/tmp.nix <br>

## Andere interressante ressourcen:

https://develop.kde.org/deploy/kiosk/introduction/ <br>
https://userbase.kde.org/KDE_System_Administration#User_&_Group_Profiles



